#!/bin/bash

round() {
  printf "%.${2}f" "${1}"
}

# Effectuer la requête HTTP et stocker la réponse JSON dans une variable
response=$(curl -s http://192.168.1.42/getData)

response2=$(curl -s "http://192.168.1.40/getData")
#response2=$(curl -s "http://192.168.1.3:81/json.htm?type=devices&rid=1188")
echo $response2

# Vérifier si la requête a réussi (status code 200)
if [ $? -eq 0 ]; then
    # Extraire la valeur de "power" à l'aide de jq
    powerValue=$(echo "$response" | jq -r '.power')
    st=$(echo "$response2" | jq -r '.PIN_INJECTION')
    #st=$(echo "$response2" | jq -r '.result[0].Data')
    echo $st

    # Vérifier si la valeur de "power" est non nulle
    if [ "$powerValue" != "null" ]; then
        echo "Valeur de power : $powerValue"

	# Vérifier si la valeur est inférieure à 10
        if (( $(echo "$powerValue < 10" | bc -l) )); then
            echo "La valeur de power est inférieure à 10."
	    # response=$(curl -s http://192.168.1.40/stopInjection)
        fi


	idx="1191"
	if [ "$st" == "0" ]; then
	     url="http://192.168.1.3:81/json.htm?type=command&param=udevice&idx=$idx&svalue=0;0&nvalue=0"
             curl -X GET "$url"
	     # powerValue=$powerValue
	     idx="1194"
	     url="http://192.168.1.3:81/json.htm?type=command&param=udevice&idx=$idx&svalue=$powerValue;0&nvalue=0"
	     curl -X GET "$url"
     	else
	     url="http://192.168.1.3:81/json.htm?type=command&param=udevice&idx=$idx&svalue=$powerValue;0&nvalue=0"
             curl -X GET "$url"
	     # powerValue=$powerValue
	     idx="1194"
	     url="http://192.168.1.3:81/json.htm?type=command&param=udevice&idx=$idx&svalue=0;0&nvalue=0"
	     curl -X GET "$url"

	fi	


    else
        echo "La clé 'power' n'existe pas dans le JSON."
    fi
else
    echo "Erreur lors de la requête HTTP."
fi

